export function getHtmlText(html: string, trimSpace?: boolean) {
  const text = html.replace(/<[^<>]+>/g, '');
  if (trimSpace) {
    return text.replace(/\s/g, '');
  }

  return text;
}

export async function addIcons(url: string) {
  return new Promise((resolve, reject) => {
    const xhr = new XMLHttpRequest();
    xhr.open('GET', url, true);
    xhr.send();
    xhr.onreadystatechange = () => {
      if (xhr.readyState === 4 && xhr.status === 200) {
        try {
          const iconfont = JSON.parse(xhr.responseText);
          const iconGroup = {
            name: iconfont.name,
            loaded: true,
            show: true,
            list: [],
          };

          iconfont.glyphs.forEach((item: any) => {
            iconGroup.list.push({
              name: item.name,
              icon:
                iconfont.font_family +
                ' ' +
                iconfont.css_prefix_text +
                item.font_class,
              data: {
                width: 100,
                height: 100,
                name: 'image',
                iconFamily: iconfont.font_family,
                icon: String.fromCharCode(item.unicode_decimal),
              },
            });
          });
          resolve(iconGroup);
        } catch (error) {
          reject(error);
        }
      }
    };
  });
}
